---
- hosts: all
  remote_user: root
  roles:
    - { role: datadog.datadog, become: 'yes' }

  vars:
    datadog_api_key: '{{ datadog_key }}'
    datadog_site: datadoghq.com
    datadog_checks:
      http_check:
        init_config: null
        instances:
          - name: Application health check status
            url: 'http://localhost:80'
            timeout: 5
            method: GET

  tasks:
    - name: Install Docker Module for Python
      pip:
        name: docker

    - name: Start devops-example-app
      community.docker.docker_container:
        name: hexlet
        image: hexletcomponents/devops-example-app
        state: started
        ports:
          - '80:5000'
        env:
          SERVER_MESSAGE: '{{ ansible_default_ipv4.address }}'

    - name: datadog
      include_role:
        name: datadog.datadog
